- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_Value_Array Struct Reference
Generic Value Array management

Used to store the array and its subtype. More...

## Data Fields
const Eina_Value_Type * | subtype
| how to allocate and access items
unsigned int | step
| how to grow the members array
Eina_Inarray * | array
| the array that holds data, members are of subtype->value_size bytes. More...

## Detailed Description

Used to store the array and its subtype.

Since
  1.2

Examples:
  complex-types-client-eina-value.c.

## Field Documentation

Eina_Inarray* _Eina_Value_Array::array

the array that holds data, members are of subtype->value_size bytes.